## grantlee-editor 23.08.0

=== debian/changelog ===
grantlee-editor (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:14 +0100

grantlee-editor (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:17 +0100

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadimime-dev (>= 4:23.08.0~),
               libkf5akonadiserver-dev (>= 4:23.08.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 23.08.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:23.08.0~),
               libkf5libkleo-dev (>= 4:23.08.0~),
               libkf5messagecomposer-dev (>= 4:23.08.0~),
               libkf5messagecore-dev (>= 4:23.08.0~),
               libkf5messagelist-dev (>= 4:23.08.0~),
               libkf5messageviewer-dev (>= 4:23.08.0~),
               libkf5mimetreeparser-dev (>= 4:23.08.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:23.08.0~),
               libkf5pimtextedit-dev (>= 23.08.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:23.08.0~),
               libkf5textaddons-dev,
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:23.08.0~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor

Package: kdepim-themeeditors
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kaddressbook (<< 4:15),
        kdepim-doc (<= 4:16.08.0+p16.04+git201609),
        kmail (<< 4:4.14.3),
        libkf5libkdepim5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<< 4:15),
          kdepim-doc (<= 4:16.08.0+p16.04+git201609),
          kmail (<< 4:4.14.3),
          libkf5libkdepim5 (<= 4:16.04),
          ${kde-l10n:all},
Suggests: kaddressbook, kmail
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.
 .

## grantlee-editor 23.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.24.1")
project(grantlee-editor VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "23.08.1")
set(KF_MIN_VERSION "5.105.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")
set(MESSAGELIB_LIB_VERSION "5.24.1")

set(AKONADI_MIMELIB_VERSION "5.24.1")
set(AKONADI_CONTACT_VERSION "5.24.1")
set(KPIMTEXTEDIT_LIB_VERSION "5.24.1")
set(LIBGRANTLEETHEME_LIB_VERSION "5.24.1")
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
set(KIMAP_LIB_VERSION "5.24.1")
set(PIMCOMMON_LIB_VERSION "5.24.1")
set(KPIM_MIME_VERSION "5.24.1")
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngineWidgets)

# Find KF5 package
find_package(KF${KF_MAJOR_VERSION}Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF${KF_MAJOR_VERSION}DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION} REQUIRED)
find_package(KF${KF_MAJOR_VERSION}XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}ContactEditor ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KPim${KF_MAJOR_VERSION}TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)

find_package(KF${KF_MAJOR_VERSION}SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)


include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})

ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)



configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(headerthemeeditor)
add_subdirectory(contactthemeeditor)
add_subdirectory(grantleethemeeditor)
add_subdirectory(contactprintthemeeditor)

ecm_qt_install_logging_categories(
        EXPORT GRANTLEEEDITOR
        FILE grantleeditor.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

add_subdirectory(doc)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
kdoctools_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
grantlee-editor (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:55:23 +0100

=== debian/control ===
--- 
+++ 
@@ -18,48 +18,48 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadimime-dev (>= 4:23.08.0~),
-               libkf5akonadiserver-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadimime-dev (>= 4:23.08.1~),
+               libkf5akonadiserver-dev (>= 4:23.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.0~),
+               libkf5contacteditor-dev (>= 4:23.08.1~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 23.08.0~),
+               libkf5grantleetheme-dev (>= 23.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.0~),
-               libkf5libkleo-dev (>= 4:23.08.0~),
-               libkf5messagecomposer-dev (>= 4:23.08.0~),
-               libkf5messagecore-dev (>= 4:23.08.0~),
-               libkf5messagelist-dev (>= 4:23.08.0~),
-               libkf5messageviewer-dev (>= 4:23.08.0~),
-               libkf5mimetreeparser-dev (>= 4:23.08.0~),
+               libkf5libkdepim-dev (>= 4:23.08.1~),
+               libkf5libkleo-dev (>= 4:23.08.1~),
+               libkf5messagecomposer-dev (>= 4:23.08.1~),
+               libkf5messagecore-dev (>= 4:23.08.1~),
+               libkf5messagelist-dev (>= 4:23.08.1~),
+               libkf5messageviewer-dev (>= 4:23.08.1~),
+               libkf5mimetreeparser-dev (>= 4:23.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:23.08.0~),
-               libkf5pimtextedit-dev (>= 23.08.0~),
+               libkf5pimcommon-dev (>= 4:23.08.1~),
+               libkf5pimtextedit-dev (>= 23.08.1~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.0~),
+               libkf5templateparser-dev (>= 4:23.08.1~),
                libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:23.08.0~),
+               libkf5webengineviewer-dev (>= 4:23.08.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 23.08.2

=== debian/changelog ===
grantlee-editor (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:27:12 +0100

=== debian/control ===
--- 
+++ 
@@ -18,48 +18,48 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
-               libkf5akonadiserver-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.2~),
+               libkf5akonadimime-dev (>= 4:23.08.2~),
+               libkf5akonadiserver-dev (>= 4:23.08.2~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.2~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 23.08.1~),
+               libkf5grantleetheme-dev (>= 23.08.2~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5libkleo-dev (>= 4:23.08.1~),
-               libkf5messagecomposer-dev (>= 4:23.08.1~),
-               libkf5messagecore-dev (>= 4:23.08.1~),
-               libkf5messagelist-dev (>= 4:23.08.1~),
-               libkf5messageviewer-dev (>= 4:23.08.1~),
-               libkf5mimetreeparser-dev (>= 4:23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.2~),
+               libkf5libkleo-dev (>= 4:23.08.2~),
+               libkf5messagecomposer-dev (>= 4:23.08.2~),
+               libkf5messagecore-dev (>= 4:23.08.2~),
+               libkf5messagelist-dev (>= 4:23.08.2~),
+               libkf5messageviewer-dev (>= 4:23.08.2~),
+               libkf5mimetreeparser-dev (>= 4:23.08.2~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
-               libkf5pimtextedit-dev (>= 23.08.1~),
+               libkf5pimcommon-dev (>= 4:23.08.2~),
+               libkf5pimtextedit-dev (>= 23.08.2~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.1~),
+               libkf5templateparser-dev (>= 4:23.08.2~),
                libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:23.08.1~),
+               libkf5webengineviewer-dev (>= 4:23.08.2~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 23.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.24.1")
+set(PIM_VERSION "5.24.3")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "23.08.1")
+set(RELEASE_SERVICE_VERSION "23.08.3")
 set(KF_MIN_VERSION "5.105.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -41,12 +41,12 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.24.1")
+set(MESSAGELIB_LIB_VERSION "5.24.3")
 
-set(AKONADI_MIMELIB_VERSION "5.24.1")
-set(AKONADI_CONTACT_VERSION "5.24.1")
-set(KPIMTEXTEDIT_LIB_VERSION "5.24.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.24.1")
+set(AKONADI_MIMELIB_VERSION "5.24.3")
+set(AKONADI_CONTACT_VERSION "5.24.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.24.3")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.24.3")
 set(QT_REQUIRED_VERSION "5.15.2")
 if (QT_MAJOR_VERSION STREQUAL "6")
     set(QT_REQUIRED_VERSION "6.4.0")
@@ -55,9 +55,9 @@
 else()
     set(KF_MAJOR_VERSION "5")
 endif()
-set(KIMAP_LIB_VERSION "5.24.1")
-set(PIMCOMMON_LIB_VERSION "5.24.1")
-set(KPIM_MIME_VERSION "5.24.1")
+set(KIMAP_LIB_VERSION "5.24.3")
+set(PIMCOMMON_LIB_VERSION "5.24.3")
+set(KPIM_MIME_VERSION "5.24.3")
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngineWidgets)
 
 # Find KF5 package

=== debian/changelog ===
grantlee-editor (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:30:50 +0000

=== debian/control ===
--- 
+++ 
@@ -18,48 +18,48 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:23.08.2~),
-               libkf5akonadimime-dev (>= 4:23.08.2~),
-               libkf5akonadiserver-dev (>= 4:23.08.2~),
+               libkf5akonadi-dev (>= 4:23.08.3~),
+               libkf5akonadimime-dev (>= 4:23.08.3~),
+               libkf5akonadiserver-dev (>= 4:23.08.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.2~),
+               libkf5contacteditor-dev (>= 4:23.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 23.08.2~),
+               libkf5grantleetheme-dev (>= 23.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.2~),
-               libkf5libkleo-dev (>= 4:23.08.2~),
-               libkf5messagecomposer-dev (>= 4:23.08.2~),
-               libkf5messagecore-dev (>= 4:23.08.2~),
-               libkf5messagelist-dev (>= 4:23.08.2~),
-               libkf5messageviewer-dev (>= 4:23.08.2~),
-               libkf5mimetreeparser-dev (>= 4:23.08.2~),
+               libkf5libkdepim-dev (>= 4:23.08.3~),
+               libkf5libkleo-dev (>= 4:23.08.3~),
+               libkf5messagecomposer-dev (>= 4:23.08.3~),
+               libkf5messagecore-dev (>= 4:23.08.3~),
+               libkf5messagelist-dev (>= 4:23.08.3~),
+               libkf5messageviewer-dev (>= 4:23.08.3~),
+               libkf5mimetreeparser-dev (>= 4:23.08.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:23.08.2~),
-               libkf5pimtextedit-dev (>= 23.08.2~),
+               libkf5pimcommon-dev (>= 4:23.08.3~),
+               libkf5pimtextedit-dev (>= 23.08.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.2~),
+               libkf5templateparser-dev (>= 4:23.08.3~),
                libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:23.08.2~),
+               libkf5webengineviewer-dev (>= 4:23.08.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 23.08.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.24.3")
+set(PIM_VERSION "5.24.4")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "23.08.3")
+set(RELEASE_SERVICE_VERSION "23.08.4")
 set(KF_MIN_VERSION "5.105.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -41,12 +41,12 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.24.3")
+set(MESSAGELIB_LIB_VERSION "5.24.4")
 
-set(AKONADI_MIMELIB_VERSION "5.24.3")
-set(AKONADI_CONTACT_VERSION "5.24.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.24.3")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.24.3")
+set(AKONADI_MIMELIB_VERSION "5.24.4")
+set(AKONADI_CONTACT_VERSION "5.24.4")
+set(KPIMTEXTEDIT_LIB_VERSION "5.24.4")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.24.4")
 set(QT_REQUIRED_VERSION "5.15.2")
 if (QT_MAJOR_VERSION STREQUAL "6")
     set(QT_REQUIRED_VERSION "6.4.0")
@@ -55,9 +55,9 @@
 else()
     set(KF_MAJOR_VERSION "5")
 endif()
-set(KIMAP_LIB_VERSION "5.24.3")
-set(PIMCOMMON_LIB_VERSION "5.24.3")
-set(KPIM_MIME_VERSION "5.24.3")
+set(KIMAP_LIB_VERSION "5.24.4")
+set(PIMCOMMON_LIB_VERSION "5.24.4")
+set(KPIM_MIME_VERSION "5.24.4")
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngineWidgets)
 
 # Find KF5 package

=== debian/changelog ===
grantlee-editor (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:39 +0000

=== debian/control ===
--- 
+++ 
@@ -18,48 +18,48 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:23.08.3~),
-               libkf5akonadimime-dev (>= 4:23.08.3~),
-               libkf5akonadiserver-dev (>= 4:23.08.3~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadimime-dev (>= 4:23.08.4~),
+               libkf5akonadiserver-dev (>= 4:23.08.4~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.3~),
+               libkf5contacteditor-dev (>= 4:23.08.4~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 23.08.3~),
+               libkf5grantleetheme-dev (>= 23.08.4~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.3~),
-               libkf5libkleo-dev (>= 4:23.08.3~),
-               libkf5messagecomposer-dev (>= 4:23.08.3~),
-               libkf5messagecore-dev (>= 4:23.08.3~),
-               libkf5messagelist-dev (>= 4:23.08.3~),
-               libkf5messageviewer-dev (>= 4:23.08.3~),
-               libkf5mimetreeparser-dev (>= 4:23.08.3~),
+               libkf5libkdepim-dev (>= 4:23.08.4~),
+               libkf5libkleo-dev (>= 4:23.08.4~),
+               libkf5messagecomposer-dev (>= 4:23.08.4~),
+               libkf5messagecore-dev (>= 4:23.08.4~),
+               libkf5messagelist-dev (>= 4:23.08.4~),
+               libkf5messageviewer-dev (>= 4:23.08.4~),
+               libkf5mimetreeparser-dev (>= 4:23.08.4~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:23.08.3~),
-               libkf5pimtextedit-dev (>= 23.08.3~),
+               libkf5pimcommon-dev (>= 4:23.08.4~),
+               libkf5pimtextedit-dev (>= 23.08.4~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.3~),
+               libkf5templateparser-dev (>= 4:23.08.4~),
                libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:23.08.3~),
+               libkf5webengineviewer-dev (>= 4:23.08.4~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.24.4")
+set(PIM_VERSION "5.24.5")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "23.08.4")
+set(RELEASE_SERVICE_VERSION "23.08.5")
 set(KF_MIN_VERSION "5.105.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -41,12 +41,12 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.24.4")
+set(MESSAGELIB_LIB_VERSION "5.24.5")
 
-set(AKONADI_MIMELIB_VERSION "5.24.4")
-set(AKONADI_CONTACT_VERSION "5.24.4")
-set(KPIMTEXTEDIT_LIB_VERSION "5.24.4")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.24.4")
+set(AKONADI_MIMELIB_VERSION "5.24.5")
+set(AKONADI_CONTACT_VERSION "5.24.5")
+set(KPIMTEXTEDIT_LIB_VERSION "5.24.5")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.24.5")
 set(QT_REQUIRED_VERSION "5.15.2")
 if (QT_MAJOR_VERSION STREQUAL "6")
     set(QT_REQUIRED_VERSION "6.4.0")
@@ -55,9 +55,9 @@
 else()
     set(KF_MAJOR_VERSION "5")
 endif()
-set(KIMAP_LIB_VERSION "5.24.4")
-set(PIMCOMMON_LIB_VERSION "5.24.4")
-set(KPIM_MIME_VERSION "5.24.4")
+set(KIMAP_LIB_VERSION "5.24.5")
+set(PIMCOMMON_LIB_VERSION "5.24.5")
+set(KPIM_MIME_VERSION "5.24.5")
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngineWidgets)
 
 # Find KF5 package

=== contactthemeeditor/CMakeLists.txt ===
add_executable(contactthemeeditor)
target_sources(contactthemeeditor PRIVATE
    main.cpp
    defaultcompletion.cpp
    contactdefaulttemplate.cpp
    contacteditorwidget.cpp
    contacttemplatewidget.cpp
    contacteditormainwindow.cpp
    previewwidget.cpp
    editorpage.cpp
    contacteditorpage.cpp
    contactconfigurationdialog.cpp
    contacteditorutil.cpp
    contactpreviewwidget.cpp
    defaultcompletion.h
    contactdefaulttemplate.h
    contacteditorwidget.h
    contacttemplatewidget.h
    contacteditormainwindow.h
    previewwidget.h
    editorpage.h
    contacteditorpage.h
    contactconfigurationdialog.h
    contacteditorutil.h
    contactpreviewwidget.h
    contactthemeeditor.qrc
    )
ecm_qt_declare_logging_category(contactthemeeditor HEADER contactthemeeditor_debug.h IDENTIFIER CONTACTTHEMEEDITOR_LOG CATEGORY_NAME org.kde.pim.contactthemeeditor
        DESCRIPTION "grantleeeditor (contactthemeeditor)"
        OLD_CATEGORY_NAMES log_contactthemeeditor
        EXPORT GRANTLEEEDITOR
    )

target_link_libraries(contactthemeeditor
    PRIVATE
    KF${KF_MAJOR_VERSION}::DBusAddons
    KPim${KF_MAJOR_VERSION}::AkonadiContact
    KPim${KF_MAJOR_VERSION}::ContactEditor
    KPim${KF_MAJOR_VERSION}::PimCommon
    grantleethemeeditor
    KPim${KF_MAJOR_VERSION}::PimTextEdit
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::Crash
    KF${KF_MAJOR_VERSION}::XmlGui
    )
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(contactthemeeditor PROPERTIES UNITY_BUILD ON)
endif()

install(TARGETS contactthemeeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.contactthemeeditor.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== grantleethemeeditor/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libgrantleethemeeditor\")


set(libgrantleethemeeditor_SRCS 
    newthemedialog.cpp
    themeeditortabwidget.cpp
    managethemes.cpp
    themesession.cpp
    editorwidget.cpp
    desktopfilepage.cpp
    editorpage.cpp
    previewwidget.cpp
    configurewidget.cpp
    grantleeplaintexteditor.cpp
    newthemedialog.h
    themeeditortabwidget.h
    managethemes.h
    themesession.h
    editorwidget.h
    desktopfilepage.h
    editorpage.h
    previewwidget.h
    configurewidget.h
    grantleeplaintexteditor.h
    )

kconfig_add_kcfg_files(libgrantleethemeeditor_SRCS
    settings/globalsettings_base.kcfgc
    )

ki18n_wrap_ui(libgrantleethemeeditor_SRCS
    ui/configurewidget.ui
    )

ecm_qt_declare_logging_category(libgrantleethemeeditor_SRCS HEADER grantleethemeeditor_debug.h IDENTIFIER GRANTLEETHEMEEDITOR_LOG CATEGORY_NAME org.kde.pim.grantleethemeeditor
        DESCRIPTION "grantleeeditor (grantleethemeeditor)"
        OLD_CATEGORY_NAMES log_grantleethemeeditor
        EXPORT GRANTLEEEDITOR
    )


add_library(grantleethemeeditor ${libgrantleethemeeditor_SRCS})
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(grantleethemeeditor PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(grantleethemeeditor BASE_NAME grantleethemeeditor)

target_include_directories(grantleethemeeditor PUBLIC "$<BUILD_INTERFACE:${grantleeditor_SOURCE_DIR};${grantleethemeeditor_SOURCE_DIR};${grantleethemeeditor_BINAY_DIR}>")

target_link_libraries(grantleethemeeditor
    PUBLIC
    KF${KF_MAJOR_VERSION}::Archive
    PRIVATE
    KF${KF_MAJOR_VERSION}::KIOWidgets
    KPim${KF_MAJOR_VERSION}::PimTextEdit
    KPim${KF_MAJOR_VERSION}::PimCommon
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::SyntaxHighlighting
    )

install(FILES settings/grantleethemeeditor.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

set_target_properties(grantleethemeeditor PROPERTIES VERSION ${KDEPIM_LIB_VERSION} SOVERSION ${KDEPIM_LIB_SOVERSION})
install(TARGETS grantleethemeeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}  LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
grantlee-editor (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:31 +1100

grantlee-editor (4:23.08.5-0ubuntu3) noble; urgency=high

  * No change rebuild against libkpim5messageviewer5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 21:15:01 +0100

grantlee-editor (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:32:01 +0000

grantlee-editor (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:31:45 -0700

=== debian/control ===
--- 
+++ 
@@ -18,48 +18,48 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:23.08.4~),
-               libkf5akonadimime-dev (>= 4:23.08.4~),
-               libkf5akonadiserver-dev (>= 4:23.08.4~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadimime-dev (>= 4:23.08.5~),
+               libkf5akonadiserver-dev (>= 4:23.08.5~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.4~),
+               libkf5contacteditor-dev (>= 4:23.08.5~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 23.08.4~),
+               libkf5grantleetheme-dev (>= 23.08.5~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.4~),
-               libkf5libkleo-dev (>= 4:23.08.4~),
-               libkf5messagecomposer-dev (>= 4:23.08.4~),
-               libkf5messagecore-dev (>= 4:23.08.4~),
-               libkf5messagelist-dev (>= 4:23.08.4~),
-               libkf5messageviewer-dev (>= 4:23.08.4~),
-               libkf5mimetreeparser-dev (>= 4:23.08.4~),
+               libkf5libkdepim-dev (>= 4:23.08.5~),
+               libkf5libkleo-dev (>= 4:23.08.5~),
+               libkf5messagecomposer-dev (>= 4:23.08.5~),
+               libkf5messagecore-dev (>= 4:23.08.5~),
+               libkf5messagelist-dev (>= 4:23.08.5~),
+               libkf5messageviewer-dev (>= 4:23.08.5~),
+               libkf5mimetreeparser-dev (>= 4:23.08.5~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:23.08.4~),
-               libkf5pimtextedit-dev (>= 23.08.4~),
+               libkf5pimcommon-dev (>= 4:23.08.5~),
+               libkf5pimtextedit-dev (>= 23.08.5~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.4~),
+               libkf5templateparser-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:23.08.4~),
+               libkf5webengineviewer-dev (>= 4:23.08.5~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## grantlee-editor 24.08.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.2.2")
project(grantlee-editor VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "24.08.2")
set(KF_MIN_VERSION "6.3.0")
set(QT_REQUIRED_VERSION "6.6.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")
set(MESSAGELIB_LIB_VERSION "6.2.2")

set(AKONADI_CONTACT_VERSION "6.2.2")
set(KPIMTEXTEDIT_LIB_VERSION "6.2.2")
set(LIBGRANTLEETHEME_LIB_VERSION "6.2.2")
set(KIMAP_LIB_VERSION "6.2.2")
set(PIMCOMMON_LIB_VERSION "6.2.2")
set(KPIM_MIME_VERSION "6.2.2")
set(KTEXTADDONS_MIN_VERSION "1.5.4")
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngineWidgets)

# Find KF6 package
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)

find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)


include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.4.0)



configure_file(grantleeeditor-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(headerthemeeditor)
add_subdirectory(contactthemeeditor)
add_subdirectory(grantleethemeeditor)
add_subdirectory(contactprintthemeeditor)

ecm_qt_install_logging_categories(
        EXPORT GRANTLEEEDITOR
        FILE grantleeditor.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

add_subdirectory(doc)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
kdoctools_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
grantlee-editor (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 11:48:54 -0500

grantlee-editor (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:04:46 +0200

grantlee-editor (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Sep 2024 14:25:01 +0200

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libakonadicontact-dev (>= 4:24.08.2~),
               libgrantleetheme-dev (>= 24.08.2~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6syntaxhighlighting-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkimap-dev (>= 24.08.2~),
               libkmime-dev (>= 24.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:24.08.2~),
               messagelib-dev (>= 4:24.08.2~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-webengine-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/grantlee-editor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Rules-Requires-Root: no

Package: kdepim-themeeditors
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: kaddressbook, kmail,
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.

## grantlee-editor 24.12.0

=== debian/changelog ===
grantlee-editor (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:03 +0100

grantlee-editor (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:17 +0100

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadicontact-dev (>= 4:24.12.0~),
               libgrantleetheme-dev (>= 24.12.0~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 24.12.0~),
               libkmime-dev (>= 24.12.0~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:24.12.0~),
               messagelib-dev (>= 4:24.12.0~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/grantlee-editor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/grantlee-editor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/grantlee-editor.git
Rules-Requires-Root: no

Package: kdepim-themeeditors
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: kaddressbook, kmail,
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.

## grantlee-editor 24.12.2

=== debian/changelog ===
grantlee-editor (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:08:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,24 @@
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libgrantleetheme-dev (>= 24.12.0~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libgrantleetheme-dev (>= 24.12.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6syntaxhighlighting-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkimap-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.0~),
-               messagelib-dev (>= 4:24.12.0~),
+               libpimcommon-dev (>= 4:24.12.2~),
+               messagelib-dev (>= 4:24.12.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),
